Name:		drbd-dkms-kernel-module
Version:	8.3.7
Release:	1%{?dist}
Summary:	Distributed Replicated Block Device kernel module for DKMS

Group:		System Environment/Kernel
License:	GPLv2
URL:		http://www.drbd.org/
Source0:	drbd-8.3.7.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	bison, m4, flex, udev, tar, /etc/redhat-release
Requires:	dkms, make, gcc, kernel-headers, kernel-devel

Requires(post): dkms, /sbin/ldconfig
Requires(preun): dkms

Provides: drbd-kernel-module-%{version}
Provides: drbd-kmdl-%{version}

%description
DRBD is a block device which is designed to build high availability
clusters. This is done by mirroring a whole block device via (a
dedicated) network. You could see it as a network raid-1.

This package contains the drbd %{version} kernel modules for DKMS.

%prep
%setup -q -n drbd-%{version}


%build

%install
rm -rf %{buildroot}

%define dkms_name drbd
%define dkms_modname drbd
%define dkms_vers %{version}-%{release}
%define dkms_modpath kernel/drivers/block/drbd
%define quiet -q

mkdir -p %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/
cat > %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/dkms.conf << 'EOF'
PACKAGE_NAME=%{dkms_name}
PACKAGE_VERSION=%{dkms_vers}
CLEAN='make clean'
MAKE="./configure --with-km KDIR=%{_usrsrc}/kernels/$kernelver-%{_target_cpu} && cd drbd; make KDIR=%{_usrsrc}/kernels/$kernelver-%{_target_cpu}"
BUILT_MODULE_LOCATION=drbd
BUILT_MODULE_NAME=%{dkms_modname}
DEST_MODULE_LOCATION=/%{dkms_modpath}
AUTOINSTALL=YES
EOF

tar cvf - * | (cd %{buildroot}%{_usrsrc}/%{dkms_name}-%{dkms_vers}/ ; tar xf - )

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
# Add to DKMS registry
dkms add -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
# Rebuild and make available for the currenty running kernel
dkms build -m %{dkms_name} -v %{dkms_vers} %{?quiet} || :
dkms install -m %{dkms_name} -v %{dkms_vers} %{?quiet} --force

%preun
# Remove all versions from DKMS registry
dkms remove -m %{dkms_name} -v %{dkms_vers} %{?quiet} --all || :

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_usrsrc}/%{dkms_name}-%{dkms_vers}


%changelog
* Wed May 2 2012 Pat Riehecky - 8.3.7-1
- First stab at making this into a DKMS module
